﻿<UserControl x:Class="StockSystem.Views.ShipperView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
        xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
        xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
        xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
        xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
        xmlns:dxdo="http://schemas.devexpress.com/winfx/2008/xaml/docking"
        xmlns:dxwui="http://schemas.devexpress.com/winfx/2008/xaml/windowsui"
        xmlns:dxrudex="http://schemas.devexpress.com/winfx/2008/xaml/reports/userdesignerextensions"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        xmlns:viewModel="clr-namespace:StockSystem.ViewModels"
        xmlns:view="clr-namespace:StockSystem.Views"
        xmlns:localization="clr-namespace:StockSystem.Localization"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:ShipperViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/EntityViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource EntityView.RootContainer}">
        <dxwui:AppBar DockPanel.Dock="Bottom" Style="{StaticResource EntityView.AppBar}">
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.Save}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.SaveAndClose}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.SaveAndNew}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.Reset}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.Delete}" />
        </dxwui:AppBar>
        <dxlc:LayoutControl x:Name="layoutControl" Style="{StaticResource EntityView.LayoutControl}">
            <dxlc:DataLayoutItem x:Name="layoutItemShipperID" Binding="{Binding Entity.ShipperID, UpdateSourceTrigger=PropertyChanged}" IsReadOnly="{Binding DataContext.IsPrimaryKeyReadOnly, RelativeSource={RelativeSource AncestorType={x:Type dxlc:LayoutControl}}}" />
            <dxlc:DataLayoutItem x:Name="layoutItemName" Binding="{Binding Entity.Name, UpdateSourceTrigger=PropertyChanged}" />
            <dxlc:DataLayoutItem x:Name="layoutItemAddress" Binding="{Binding Entity.Address, UpdateSourceTrigger=PropertyChanged}" />
            <dxlc:DataLayoutItem x:Name="layoutItemPhone" Binding="{Binding Entity.Phone, UpdateSourceTrigger=PropertyChanged}" />
        </dxlc:LayoutControl>
    </DockPanel>
</UserControl>